Bug 1176483 - livecd: Add kdump anaconda addon to install image [NEEDINFO]
Summary: livecd: Add kdump anaconda addon to install image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 25
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1065674 1115914
Blocks: 1116321 1116323 1116331 1116335 1116338 1116340 1116343 1118527 1118529 1399436
TreeView+ depends on / blocked
 
Reported: 2014-12-22 05:10 UTC by Dave Young
Modified: 2016-12-12 05:55 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1115914
Environment:
Last Closed: 2016-11-29 04:37:14 UTC
ruyang: needinfo? (vanmeeuwen+fedora)


Attachments (Terms of Use)

Comment 1 Dave Young 2014-12-22 05:15:04 UTC
Hi Jeroen

We have added kdump anaconda addon into boot iso, but for live media we still need it. Could you help to add it into spin kickstarts?

See the original comments for the detail..

Thanks
Dave

Comment 2 Jaroslav Reznik 2015-03-03 16:38:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Jan Kurik 2015-07-15 14:35:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Bruno Wolff III 2016-06-06 09:41:55 UTC
I looked at https://bugzilla.redhat.com/show_bug.cgi?id=1115914 and didn't see any details on what the proposed change is to spin-kickstarts.

Also note, that Fedora spins are now being built with livemedia-creator instead of livecd-creator. I don't know if that has an affect on what you want, but livemedia-creator uses lorax to do builds and might possible make this moot if all you care about is official Fedora release media.

As someone noted on the mailing list, there is a fedora-kickstarts project on pagure.io that might make proposing a specific change easier. https://pagure.io/fedora-kickstarts

We are currently in a freeze for f24, so a change in that branch is unlikely to be applied before the release.

Comment 5 Brian Lane 2016-06-06 17:53:01 UTC
The spins need to add the kexec-tools-anaconda-addon package to their kickstarts in order to enable this feature. FYI livemedia-creator doesn't control the content of the live images, the kickstarts do.

Comment 6 Dave Young 2016-06-07 08:09:24 UTC
Bruno, if we can not make it in f24, can we get it in rawhide at least? I originally open the bug to rawhide

Thanks
Dave

Comment 7 Bruno Wolff III 2016-06-07 11:08:39 UTC
Why do you want this package added? (I didn't see a comment about what this change will provide, in the bug it was cloned from.)
If anaconda doesn't work properly without it, why isn't a dependency pulling it in?

Comment 8 Dave Young 2016-06-08 01:40:31 UTC
Bruno, let me explain about what kdump anaconda adon is and why do we need it here.

Originally we have a kdump firstboot module for setting up kdump after the installation finished. We rewrote the firstboot module as an anaconda addon later which is maintained in kexec-tools subpackage. But it is out of ananconda itself because anaconda team want the extra addons being maintained separately.

The basic usage and functionality is like below:
1. One need add inst.kdump_addon kernel parameter in grub if he or she want to use the addon, that means even if we pack the addon package in iso anaconda will not activate it during installing unless one explictly specify inst.kdump_addon

2. The addon interface will allow one to enable kdump service and specify the memory size to be reserved for kdump kernel. That means add crashkernel=xM to grub kernel cmdline. It will save one more reboot for user.

If we have not packed kdump addon package in livecd then the anaconda installer can never provide the kdump setup interface during installation.

Thanks
Dave

Comment 9 Bruno Wolff III 2016-06-08 02:41:02 UTC
It isn't clear to me from that description, that it is something that needs to be on all livecds. If it is small enough, then it probably doesn't matter much. Other people may have stronger opinions one way or the other.
I suggest making a pull request for fedora-kickstarts on pagure.io for the change with the description of why you want the change and an estimate of how much larger it will make ISOs. A link back to this bug is probably a good idea as well. Currently the people that approve the requests are releng members. They have a lot of knowledge and can probably make a good decision about whether or not to accept the change.

Comment 10 Dave Young 2016-06-08 03:02:47 UTC
Ok, but can you give me some suggestion which file I should edit for all livecds?  something like below?

diff --git a/fedora-live-base.ks b/fedora-live-base.ks
index 6011fea..90835e4 100644
--- a/fedora-live-base.ks
+++ b/fedora-live-base.ks
@@ -50,6 +50,9 @@ memtest86+
 anaconda
 @anaconda-tools
 
+# Anaconda addon
+kexec-tools-anaconda-addon
+
 # Need aajohan-comfortaa-fonts for the SVG rnotes images
 aajohan-comfortaa-fonts

Comment 11 Bruno Wolff III 2016-06-08 03:10:44 UTC
It looks like livebase covers anything that makes sense.

Comment 12 Dave Young 2016-06-08 06:54:37 UTC
Here is a pull request:
https://pagure.io/fedora-kickstarts/pull-request/31

Comment 13 Jan Kurik 2016-07-26 05:10:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 14 Dave Young 2016-09-06 05:48:31 UTC
Added a new pull request to fedora-coms:

https://pagure.io/fedora-comps/pull-request/39

Comment 15 Tong Li 2016-11-29 04:37:14 UTC
Appending "inst.kdump_addon=on" at boot menu can enable kdump anaconda addon for both Live and netinst images of latest Fedora 25 official build. This bug has been fixed.

Thanks,
Tong


Note You need to log in before you can comment on or make changes to this bug.